<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <PreferenceCategory
        app:key="event_category"
        app:title="At the Event">

        <ListPreference
            android:defaultValue="Red 1"
            android:dialogTitle="Position"
            android:entries="@array/positions"
            android:entryValues="@array/positions"
            android:key="positionPref"
            android:summary="Select position to watch"
            android:title="Position" />

        <ListPreference
            android:dialogTitle="Event"
            android:entries="@array/Events"
            android:entryValues="@array/Events"
            android:key="eventPref"
            android:summary="Select Event Attending"
            android:title="Event" />

        <SwitchPreferenceCompat
            android:defaultValue="false"
            android:enabled="true"
            android:key="redLeft"
            android:summary="Red on left, Blue on right"
            android:title="Red on Left" />

        <SwitchPreferenceCompat
            android:defaultValue="false"
            android:enabled="true"
            android:key="practiceMatchPref"
            android:summary="Currently recording practice matches?"
            android:title="Practice Match" />

    </PreferenceCategory>

    <PreferenceCategory
        app:key="connection_category"
        app:title="Database Connection">

        <EditTextPreference
            android:inputType="textUri"
            android:key="databaseURLPref"
            android:summary="Enter the URL for the server"
            android:title="Server Address" />

        <EditTextPreference
            android:inputType="textPassword"
            android:key="passPref"
            android:summary="Enter the password for the server"
            android:title="Password" />

        <SwitchPreferenceCompat
            android:defaultValue="true"
            android:enabled="true"
            android:key="enableSyncPref"
            android:summary="Automatically sync with server?"
            android:title="Auto Sync" />

        <ListPreference
            android:defaultValue="5 minutes"
            android:dialogTitle="Auto Sync Frequency"
            android:entries="@array/autoSync"
            android:entryValues="@array/autoSync"
            android:key="syncFreqPref"
            android:summary="Select how often the app should sync"
            android:title="Auto Sync Frequency" />


        <EditTextPreference
            android:digits="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"
            android:inputType="textFilter"
            android:key="deviceName"
            android:summary="(Optional) name of this device"
            android:title="Device Name" />

        <SwitchPreferenceCompat
            android:defaultValue="false"
            android:enabled="true"
            android:key="doNotAskURL"
            android:summary="Don't prompt to associate with a server."
            android:title="Don't Prompt for URL" />

    </PreferenceCategory>

    <PreferenceCategory
        app:key="User_category"
        app:title="User Preferences">

        <EditTextPreference
            android:inputType="number"
            android:key="teamPref"
            android:summary="Enter your team number"
            android:title="Team Number" />

        <SwitchPreferenceCompat
            android:defaultValue="true"
            android:enabled="true"
            android:key="robotPicPref"
            android:summary="Automatically download pictures of robots?"
            android:title="Download Pictures" />

    </PreferenceCategory>

</PreferenceScreen>
